Subject: Re: [PATCH 10/17] sequencer.c: fix "opts->strategy" leak in read_strategy_opts()

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 05 Nov 2022 13:43:34 +0100

On Fri, Nov 04 2022, Taylor Blau wrote:

> On Fri, Nov 04, 2022 at 02:50:02PM +0000, Phillip Wood wrote:
>> > Along with the preceding commit this change various
>> > rebase-related tests pass.
>>
>> Really? at a glance the previous patch looks unrelated and there are no
>> tests marked as passing in this one.
>
> Yeah, I wondered the same thing. What are we missing here?

I see I was using "tests that pass" in an arguably ambiguous way.

This does make more tests pass, but not in such a way that the entire
set of tests in any given file in t/t[0-9]*.sh now pases in its
entirety, which is the point at which we can add:

	TEST_PASSES_SANITIZE_LEAK=true